25215004 Upgrade Wireshark to version 2.2.2
authorPetr Sumbera <petr.sumbera@oracle.com>
Wed, 07 Dec 2016 02:26:41 -0800
changeset 7451 ea17c4876082
parent 7448 41e8151525b4
child 7452 fb7fc83af20b
25215004 Upgrade Wireshark to version 2.2.2 25116790 problem in UTILITY/WIRESHARK 25116788 problem in UTILITY/WIRESHARK 25116787 problem in UTILITY/WIRESHARK 25116782 problem in UTILITY/WIRESHARK 25116776 problem in UTILITY/WIRESHARK
components/wireshark/Makefile
components/wireshark/patches/release_version.patch
components/wireshark/wireshark-common.p5m
--- a/components/wireshark/Makefile	Tue Dec 06 19:16:01 2016 -0800
+++ b/components/wireshark/Makefile	Wed Dec 07 02:26:41 2016 -0800
@@ -26,14 +26,14 @@
 include ../../make-rules/shared-macros.mk
 
 COMPONENT_NAME=		wireshark
-COMPONENT_VERSION=	2.2.1
+COMPONENT_VERSION=	2.2.2
 COMPONENT_PROJECT_URL=	http://www.wireshark.org/
 COMPONENT_ARCHIVE=	$(COMPONENT_SRC).tar.bz2
 COMPONENT_ARCHIVE_HASH=	\
-    sha256:900e22af04c8b35e0d02a25a360ab1fb7cfe5ac18fc48a9afd75a7103e569149
+    sha256:f9acef5e9a9021a400b4244fafc06969f41ec594ec57fd7f0ff63bafca0055b3
 COMPONENT_ARCHIVE_URL=	$(COMPONENT_PROJECT_URL)download/src/all-versions/$(COMPONENT_ARCHIVE)
 
-TPNO=			32120
+TPNO=			32709
 
 # Enable adiheap and adistack security extensions
 ADIHEAP_MODE =	$(ADIHEAP_ENABLE)
@@ -87,7 +87,7 @@
 # During install libtool will relink libwireshark library so that it
 # requires libwiretap version from system and not from proto area.
 # This workaround is only needed when CBE contains older libwiretap.
-LIBWIRESHARK=$(PROTOUSRLIBDIR64)/libwireshark.so.8.0.$(MICRO_VERSION)
+LIBWIRESHARK=$(PROTOUSRLIBDIR64)/libwireshark.so.8.1.0
 COMPONENT_POST_INSTALL_ACTION = \
 	(WTAP=`$(ELFEDIT) -e dyn:dump $(LIBWIRESHARK) | grep 'libwiretap' | awk '{print $$4}'` \
 	; $(ELFEDIT) -e "dyn:value -s -with-valstr $$WTAP libwiretap.so.6" $(LIBWIRESHARK) )
--- a/components/wireshark/patches/release_version.patch	Tue Dec 06 19:16:01 2016 -0800
+++ b/components/wireshark/patches/release_version.patch	Wed Dec 07 02:26:41 2016 -0800
@@ -1,13 +1,19 @@
-https://bugs.wireshark.org/bugzilla/show_bug.cgi?id=12901
+https://bugs.wireshark.org/bugzilla/show_bug.cgi?id=13163
 
 --- make-version.pl
 +++ make-version.pl
[email protected]@ -619,7 +619,7 @@
- {
- 	my $VCS_REVISION;
- 	my $needs_update = 1;
--	my $set_header = 1;
-+	my $set_header = 0;
- 	my $git_cdir;
[email protected]@ -689,9 +689,11 @@
+ 	}
  
- 	chomp($git_cdir = qx{git --git-dir="$srcdir/.git" rev-parse --git-common-dir 2> $devnull});
+ 	if (! open(FILE, "<$vconf_file")) {
+-		print_diag "Version configuration file $vconf_file not "
+-		. "found. Using defaults.\n";
+-		return 1;
++		if (! open(FILE, "<$srcdir/$vconf_file")) {
++			print_diag "Version configuration file $vconf_file not "
++			. "found. Using defaults.\n";
++			return 1;
++		}
+ 	}
+ 
+ 	while (<FILE>) {
--- a/components/wireshark/wireshark-common.p5m	Tue Dec 06 19:16:01 2016 -0800
+++ b/components/wireshark/wireshark-common.p5m	Wed Dec 07 02:26:41 2016 -0800
@@ -37,11 +37,9 @@
 set name=org.opensolaris.consolidation value=$(CONSOLIDATION)
 file exec_attr.dumpcap \
     path=etc/security/exec_attr.d/diagnostic:wireshark:wireshark-common
-link path=usr/lib/$(MACH64)/libwireshark.so \
-    target=libwireshark.so.8.0.$(MICRO_VERSION)
-link path=usr/lib/$(MACH64)/libwireshark.so.8 \
-    target=libwireshark.so.8.0.$(MICRO_VERSION)
-file path=usr/lib/$(MACH64)/libwireshark.so.8.0.$(MICRO_VERSION)
+link path=usr/lib/$(MACH64)/libwireshark.so target=libwireshark.so.8.1.0
+link path=usr/lib/$(MACH64)/libwireshark.so.8 target=libwireshark.so.8.1.0
+file path=usr/lib/$(MACH64)/libwireshark.so.8.1.0
 link path=usr/lib/$(MACH64)/libwiretap.so \
     target=libwiretap.so.6.0.$(MICRO_VERSION)
 link path=usr/lib/$(MACH64)/libwiretap.so.6 \